#
# To run VASP this script calls $vasp_std
# (or posibly $vasp_gam and/or $vasp_ncl).
# These variables can be defined by sourcing vaspcmd
. vaspcmd 2> /dev/null

#
# When vaspcmd is not available and $vasp_std,
# $vasp_gam, and/or $vasp_ncl are not set as environment
# variables, you can specify them here
[ -z "`echo $vasp_std`" ] && vasp_std="mpirun -np 8 /path-to-your-vasp/vasp_std"
[ -z "`echo $vasp_gam`" ] && vasp_gam="mpirun -np 8 /path-to-your-vasp/vasp_gam"
[ -z "`echo $vasp_ncl`" ] && vasp_ncl="mpirun -np 8 /path-to-your-vasp/vasp_ncl"


# Here the work starts

for NKPTS in 10 
do

  cat >KPOINTS <<!
Automatically generated mesh
       0
Gamma
  $NKPTS $NKPTS $NKPTS
!


rm WAVECAR* WAVEDER*

cp INCAR.DFT INCAR
$vasp_std
cp OUTCAR OUTCAR.DFT.$NKPTS
cp vasprun.xml vasprun.DFT.$NKPTS.xml
#./extract_optics.sh
#mv optics.dat optics.DFT.$NKPTS.dat

cp INCAR.mBSE INCAR
$vasp_std
cp OUTCAR OUTCAR.mBSE.$NKPTS
cp vasprun.xml vasprun.mBSE.$NKPTS.xml

head -n  113716  BSEFATBAND > tmp.dat # Check these numbers! You have to cut of the last 6 and the first 3 of the 
tail -n  28428  BSEFATBAND > BSE4.dat # 10 bse eigenstates to have only the 4th. The numbers in front
rm tmp.dat                            # depend on the size of your bse basis. (NKPTSxNBANDSOxNBANDSV truncated by OMEGAMAX)
                                      # The size is written on the first line of the BSEFATBAND file.

awk <BSE4.dat  ' { if ($1==$2 && $3==$2) print sqrt($1*$1+$2*$2+$3*$3), $4, $5, $6 }' >bands-GL.dat
awk <BSE4.dat  ' { if ($1==$3 && $2==0.0) print sqrt($1*$1+$2*$2+$3*$3), $4, $5, $6 }' >bands-GX.dat

mv BSEFATBAND BSEFATBAND.$NKPTS
#./extract_optics.sh
#mv optics.dat optics.mBSE.$NKPTS.dat


done
